[package]
name = "embedded-executor"
version = "0.6.1"
authors = ["Josh Robson Chase <josh@robsonchase.com>"]
edition = "2018"
license = "MIT/Apache-2.0"
description = "Embedded systems-friendly `Futures` executor"
documentation = "https://docs.rs/embedded-executor"
repository = "https://gitlab.com/polymer-kb/firmware/embedded-executor"

[dependencies]
lock_api = "0.4.1"

[dependencies.alloc-facade]
version = "0.5.0"
features = ["futures"]

[dependencies.futures]
version = "0.3.7"
default-features = false

[dependencies.generational-arena]
version = "0.2.8"
default_features = false
optional = true

[features]
default = ["alloc"]
alloc = ["generational-arena", "alloc-facade/alloc"]
std = ["generational-arena/std", "alloc-facade/std", "futures/std"]

# [patch.crates-io]
# alloc-facade = { path = "../../../jrobsonchase/alloc-facade" }